s.sample(1)		      Grass User's Manual		   s.sample(1)



NNAAMMEE
       ss..ssaammppllee - Sample a raster file at site locations.
       _(_G_R_A_S_S _S_i_t_e_s _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       ss..ssaammppllee
       ss..ssaammppllee hheellpp
       ss..ssaammppllee  [--BBCCllqq]  iinnppuutt==_n_a_m_e  [aattttrr==_t_y_p_e]  [ffiieelldd==_v_a_l_u_e] [oouuttppuutt==_n_a_m_e]
       rraasstt==_n_a_m_e [zz==_n_a_m_e]

DDEESSCCRRIIPPTTIIOONN
       _s_._s_a_m_p_l_e samples a GRASS raster map at the site locations in the  input
       file by either cubic convolution interpolation, bilinear interpolation,
       or nearest neighbor sampling (default).	Category label values may sam-
       pled.


       This  program  may be especially useful when sampling for cross valida-
       tion of interpolations whose output is a raster map.

OOPPTTIIOONNSS
   FFllaaggss::
       --BB     Use bilinear interpolation.

       --CC     Use cubic convolution interpolation.

       --ll     Use raster category label values instead of cell values.	Labels
	      must be numeric.

       --qq     Quiet. Cut out the chatter.


   PPaarraammeetteerrss::
       iinnppuutt==_n_a_m_e
	      Name of sites list defining sample points.

       aattttrr==_t_y_p_e
	      Site attribute type to use for comparison.

	      OOppttiioonnss:: _n_o_n_e_, _d_i_m_, _c_a_t_, _d_e_c_i_m_a_l

	      If _n_o_n_e is chosen no comparison will be done.

       ffiieelldd==_v_a_l_u_e
	      Site attribute field to use for comparison.

	      Ignored when the attribute is _n_o_n_e or _c_a_t.

       oouuttppuutt==_n_a_m_e
	      Optional	name  of  sites  list  in which output will be stored.
	      Standard output is used if this is missing.

       rraasstt==_n_a_m_e
	      Name of raster map to be sampled.

       zz==_v_a_l_u_e
	      Option scaling factor for values read from raster map.   Sampled
	      values  will  be	multiplied by this factor. If omitted, this is
	      set to 1.0.


NNOOTTEESS
       The output site list will have the easting and northing	of  the  input
       site  list.  The category value will either be the same as the value in
       the input site list or a unique value if there were  no	categories  in
       the  input  site list.  One decimal attribute will be output containing
       either, the cell value of the raster if no comparison  was  done  (i.e.
       aattttrr==nnoonnee)  or it will be the difference between the cell value and the
       site list attribute value.


       If --ll is specified, it is important that the raster category  label  is
       numeric.  No  error  checking  is  done	except for "no data" values as
       raster category labels. In this instance, a warning  is	issued	and  a
       zero value is assumed.


       When  NULL  values  are	encountered  for  a  cell,  zero value is used
       instead.  In these cases, more acurrate	results  may  be  obtained  by
       using the default nearest neighbor comparisons.


       This  program  may  not	work  properly with lat-long data when the --BBCC
       flags are used.


       When interpolation is done (i.e., the --BBCC flags are used),  values  are
       assumed	to  be located at the centroid of grid cells.  Therefore, cur-
       rent resolution settings are important.

SSEEEE AALLSSOO
       _s_._r_a_n_d_o_m

       _s_._k_c_v

       _g_._r_e_g_i_o_n

       _I_m_a_g_e _S_a_m_p_l_i_n_g _M_e_t_h_o_d_s -  GRASS	Tutorial  on  _s_._s_a_m_p_l_e	(available  as
       s.sample-tutorial.ps.gz)

BBUUGGSS
       Please  send  all  bug  fixes  and  comments to the author or the grass
       development team.

       http://www.geog.uni-hannover/grass/

AAUUTTHHOORR
       James Darrell McCauley ,

       when he was at: Agricultural Engineering Purdue University


       Updated for GRASS 5.0 by Eric G. Miller

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0							   s.sample(1)
